Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2222777 - CVE-2023-38252 w3m: Out of bounds read in Strnew_size() at w3m/Str.c [epel-all]
Summary: CVE-2023-38252 w3m: Out of bounds read in Strnew_size() at w3m/Str.c [epel-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: w3m
Version: epel8
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Robert Scheck
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2023-38252
TreeView+ depends on / blocked
 
Reported: 2023-07-13 16:51 UTC by Pedro Sampaio
Modified: 2024-03-27 01:29 UTC (History)
2 users (show)

Fixed In Version: w3m-0.5.3-63.git20230121.el9 w3m-0.5.3-63.git20230121.el8 w3m-0.5.3-63.git20230121.el7
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-03-27 00:42:00 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Pedro Sampaio 2023-07-13 16:51:08 UTC
More information about this security flaw is available in the following bug:

http://bugzilla.redhat.com/show_bug.cgi?id=2222775

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Comment 1 Pedro Sampaio 2023-07-13 16:51:09 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=low

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2222775,2222777

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Admin user for bugzilla script actions 2023-07-14 12:47:36 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 3 Fedora Update System 2024-03-18 23:11:06 UTC
FEDORA-EPEL-2024-0398ebbbfa (w3m-0.5.3-63.git20230121.el9) has been submitted as an update to Fedora EPEL 9.
https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2024-0398ebbbfa

Comment 4 Fedora Update System 2024-03-18 23:11:07 UTC
FEDORA-EPEL-2024-bf31852fe0 (w3m-0.5.3-63.git20230121.el8) has been submitted as an update to Fedora EPEL 8.
https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2024-bf31852fe0

Comment 5 Fedora Update System 2024-03-18 23:11:07 UTC
FEDORA-EPEL-2024-5253d48b14 (w3m-0.5.3-63.git20230121.el7) has been submitted as an update to Fedora EPEL 7.
https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2024-5253d48b14

Comment 6 Fedora Update System 2024-03-19 02:02:47 UTC
FEDORA-EPEL-2024-0398ebbbfa has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2024-0398ebbbfa

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2024-03-19 02:10:43 UTC
FEDORA-EPEL-2024-bf31852fe0 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2024-bf31852fe0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2024-03-19 02:12:41 UTC
FEDORA-EPEL-2024-5253d48b14 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2024-5253d48b14

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2024-03-27 00:42:00 UTC
FEDORA-EPEL-2024-0398ebbbfa (w3m-0.5.3-63.git20230121.el9) has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2024-03-27 01:02:59 UTC
FEDORA-EPEL-2024-bf31852fe0 (w3m-0.5.3-63.git20230121.el8) has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2024-03-27 01:29:02 UTC
FEDORA-EPEL-2024-5253d48b14 (w3m-0.5.3-63.git20230121.el7) has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.